Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Managed Service for Valkey™
KZ
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Delete
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  1. Справочник API
  2. REST (англ.)
  3. Backup
  4. Get

Managed Service for Redis API, REST: Backup.Get

Статья создана
Yandex Cloud
Обновлена 7 октября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the specified Valkey backup.
To get the list of available Valkey backups, make a List request.

HTTP requestHTTP request

GET https://mdb.api.yandexcloud.kz/managed-redis/v1/backups/{backupId}

Path parametersPath parameters

Field

Description

backupId

string

Required field. ID of the Valkey backup to return.
To get the backup ID, use a ClusterService.ListBackups request.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "createdAt": "string",
  "sourceClusterId": "string",
  "startedAt": "string",
  "sourceShardNames": [
    "string"
  ],
  "type": "string"
}

Description of a Valkey backup. For more information, see
the Managed Service for Valkey documentation.

Field

Description

id

string

Required field. ID of the backup.

folderId

string

Required field. ID of the folder that the backup belongs to.

createdAt

string (date-time)

Required field. Creation timestamp in RFC3339 text format
(i.e. when the backup operation was completed).

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

sourceClusterId

string

Required field. ID of the Valkey cluster that the backup was created for.

startedAt

string (date-time)

Required field. Start timestamp in RFC3339 text format
(i.e. when the backup operation was started).

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

sourceShardNames[]

string

Shard names used as a source for backup.

type

enum (BackupType)

How this backup was created (manual/automatic/etc...)

  • AUTOMATED: Backup created by automated daily schedule.
  • MANUAL: Backup created by user request

Была ли статья полезна?

Предыдущая
Overview
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»